Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Class Cleaners

java.lang.Object
org.firebirdsql.jaybird.util.Cleaners

public final class Cleaners extends Object
Factory for `Cleaner` for use within Jaybird.

Since:
  6
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static Cleaner`
`getJbCleaner()`
`static Cleaner.Cleanable`
`getNoOp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getJbCleaner

public static Cleaner getJbCleaner()

Returns:
  `Cleaner` for use within Jaybird

### getNoOp

public static Cleaner.Cleanable getNoOp()

Returns:
  A `Cleaner.Cleanable` which does nothing